name: Network Test
on: [push]
jobs:
  test_network:
    runs-on: ubuntu-latest
    steps:
      - name: Inspect Container Environment
        run: |
          echo "1. My IP address:"
          hostname -I
          echo "2. My Hosts file:"
          cat /etc/hosts
          echo "3. My Resolv.conf:"
          cat /etc/resolv.conf
          echo "4. Can I see Gitea by IP?"
          curl -I http://172.19.0.2:3000 || echo "Failed to reach IP"
          echo "5. Can I see Gitea by Name?"
          curl -I http://server:3000 || echo "Failed to reach Name"
